/**
* Canvas is furthest back, z-index: -1
* UI is next, z-index: 0
*   - side menu, toolbar, previews
* Hover/corner preview, z-index: 1
* Modal is left as default, z-index: 1050
**/
@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed');


/**************************************************************************************
* GLOBAL SETTINGS
**************************************************************************************/

* {
	font-family: Tahoma, Verdana, Segoe, sans-serif;
	list-style: none;
	margin: 0;
	padding: 0;
	/* disable text selection */
	-webkit-touch-callout: none;
	/* 'none' prevents inputting text in safari in modals */
	-webkit-user-select: auto;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}


/**************************************************************************************
* BODY, WRAPPER, CANVAS
**************************************************************************************/

body {
	overflow: hidden;
}

canvas#viewport {
	width: 900px;
}

canvas {
	z-index: 0;
}

#wrapper {
	display: none;
}


/**************************************************************************************
* USER INTERFACE
**************************************************************************************/

#ui {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	width: 260px;
	z-index: 1;
	height: 100vh;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU
**************************************************************************************/

#sidemenu {
	display: -webkit-box;
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-box-direction: normal;
	-moz-box-direction: normal;
	-webkit-box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-flex-wrap: nowrap;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
	-webkit-box-pack: start;
	-moz-box-pack: start;
	-webkit-justify-content: flex-start;
	-ms-flex-pack: start;
	justify-content: flex-start;
	-webkit-align-content: stretch;
	-ms-flex-line-pack: stretch;
	align-content: stretch;
	-webkit-box-align: stretch;
	-moz-box-align: stretch;
	-webkit-align-items: stretch;
	-ms-flex-align: stretch;
	align-items: stretch;
	height: 100vh;
	width: 260px;
	background-color: rgba(119,119,119,0.8);
	/*opacity: 0.8;*/
	position: absolute;
	color: white;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU> HEADER
**************************************************************************************/

#header {
	width: 320px;
	cursor: pointer;
}

#logo {
	padding-left: 5px;
	padding-top: 8px;
	padding-right: 5px;
	width: 260px;
	height: 60px;
	float: left;
}

#toggle {
	width: 60px;
	height: 60px;
	text-align: center;
	padding-top: 16px;
	float: right;
	border-bottom-right-radius: 10px;
	border-top-right-radius: 10px;
	background-color: #E01B1D;
}

#toggle *:hover {
	background-color: transparent !important;
}

.header-hr {
	margin: 0;
	border: 0;
	height: 1px;
	background: #999;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU > DOCK COMPONENTS
**************************************************************************************/

#selecteditems,
#dockcomponents {
	-webkit-box-flex: 2;
	-moz-box-flex: 2;
	-webkit-flex: 2 1 auto;
	-ms-flex: 2 1 auto;
	flex: 2 1 auto;
	clear: both;
	position: relative;
	width: 260px;
	padding-right: 0px;
	margin-bottom: 10px;
	overflow: auto;
}

#dockcomponents {
	height: 400px;
	background-color: rgba(119,119,119,0);
}

#selecteditems {
	display: none;
}

::-webkit-scrollbar {
	width: 8px;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
	border-radius: 10px;
}

::-webkit-scrollbar-thumb {
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}

#selecteditems::-webkit-scrollbar {
	width: 0px;
	!important;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU > DOCK COMPONENTS > PARENT NAV
**************************************************************************************/

button.accordion {
	cursor: pointer;
	padding-top: 10px;
	padding-bottom: 10px;
	background-color: rgba(119,119,119,0);
	width: 100%;
	text-align: left;
	border: none;
	border-bottom: .5px inset #888;
	font-size: 1.5rem;
	outline: 0;
}

button.accordion * {
	padding-left: 5px;
}

button.accordion.header {
	background-color: #E01B1D;
}

button.leaf {
	outline: 0;
}

button.leaf:hover,
button.accordion:hover,
div > ul > li:hover,
#toggle *:hover {
	cursor: pointer;
	background-color: #BBB;
}

#toolbar > ul > li:hover {
	cursor:pointer;
	background-color: #777;
}

/**************************************************************************************
* USER INTEFACE > SIDE MENU > DOCK COMPONENTS > CHILD NAV
**************************************************************************************/

button.leaf {
	cursor: pointer;
	padding: 10px;
	padding-left: 5px;
	background-color: rgba(119,119,119,0.8);
	width: 100%;
	text-align: left;
	border: none;
}

.menu-col {
	padding-top:10px;
	padding-bottom:0px;
	padding-left:0px;
	padding-right:10px;
	cursor:pointer;
}

.menu-col > img {
	height:100px !important;
	width:115px !important;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
}

.menu-col > button {
	border-color: white;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	white-space: normal;
	background: #fff;
	margin:0;
	width: 100%;
	color: black;
	font-size: 9px;
}

.menu-col > .btn:hover,
.menu-col > .btn:focus,
.menu-col > .btn:active,
.menu-col > .btn:visited {
	border-color: #fff;
	color: black;
	background: #fff;
	outline: none;
}

div.panel {
	padding: 0;
	background-color: rgba(119,119,119,0);
	max-height: 0px;
	overflow: hidden;
	transition: 1s ease;
	opacity: 0;
	margin-bottom: 0;
	padding-left: 10px;
}

div.panel.show {
	transition: 1s ease;
	opacity: 1;
	max-height: 5000px;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU > EXPORT MENU
**************************************************************************************/

#exportmenu {
	width: 80%;
	max-width: 200px;
}

#exportmenu ul {
	list-style: none;
	text-indent: 0;
	margin-top: 5px;
}

#exportmenu li {
	padding: 6.5px;
}

#exportmenu li * {
	vertical-align: middle;
	padding-left: 5px;
}

#divider {
	margin-left: 8px;
	width: 240px;
	border: 1px solid #999;
}

#instructions.unvisited {
	background-color: #E01B1D;
}

#getquote.unvisited {
	background-color: #E01B1D;
}

#external-link.unvisited {
	background-color: #E01B1D;
}

small {
	font-size: 50%;
	padding-left: 12px;
}

.selecteditems-card {
	margin-left: 10px;
	margin-right: 10px;
	background-color: #444;
	border-radius: 15px;
	margin-top: 10px;
	margin-left: 10px;
	margin-right: 10px;
	width: 240px !important;
}

.selecteditems-card > div,
.selecteditems-card > div > h4 {
	background-color: #E0181D;
	border: none;
	margin: 0;
}

.selecteditems-card > div {
	position: fixed;
	width: 240px;
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
}

.selecteditems-card > div > button.close {
	text-shadow: none;
	opacity: .8;
	color: #fff;
	margin-top: -12px;
	margin-right: -5px;
}

.selection-total {
	text-align: center;
	font-size: 2rem;
	margin-top: 50px;
	border-bottom: 1px solid #999;
}

.selected-items > ul {
	font-size: 2rem;
	padding-left: 10px;
}

.selected-items > ul > ul {
	font-size: 1.7rem;
	padding-left: 10px;
	border-left: 1px solid #999;
}

.selected-items > ul > li {
	font-size: 1.3rem;
	padding-left: 10px;
	border-left: 1px solid #999;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU > TOOLBAR
**************************************************************************************/

#toolbar {
	position: absolute;
	top: 0;
	right: 0;
	border-radius: 4px;
}

#toolbar ul {
	overflow: hidden;
	list-style: none;
	position: relative;
	border-bottom-left-radius: 5px;
	background-color: #777;
	opacity: 0.8;
}

#toolbar li {
	display: inline-block;
	padding: 10px;
	width: 48px;
}

#toolbar li span {
	color: #fff;
}


/**************************************************************************************
* USER INTERFACE > SIDE MENU PREVIEW
**************************************************************************************/

#preview {
	border-radius: 0px;
	position: absolute;
	z-index: 1;
	box-shadow: 5px 5px 10px #555;
	display: none;
}

#preview img {
	max-width: 150px;
	max-height: 150px;
	border-radius: 5px;
}


/**************************************************************************************
* USER INTERFACE > CORNER PREVIEW
**************************************************************************************/

#corner-preview {
	background-color: white;
	padding: 5px;
	border-radius: 5px;
	position: fixed;
	box-shadow: 5px 5px 10px #555;
	border-top: 2px solid gray;
	border-left: 2px solid gray;
	display: none;
}

#corner-preview img {
	width: 150px;
	height: 100px;
	border-radius: 5px;
}

#corner-label {
	padding: 5px;
	position: fixed;
	display: none;
}


/**************************************************************************************
* RFQ > CONTENT
**************************************************************************************/

ul.thumbnails.image_picker_selector {
	overflow: auto;
	list-style-image: none;
	list-style-position: outside;
	list-style-type: none;
	padding: 0px;
	margin: 0px;
}

ul.thumbnails.image_picker_selector ul {
	overflow: auto;
	list-style-image: none;
	list-style-position: outside;
	list-style-type: none;
	padding: 0px;
	margin: 0px;
}

ul.thumbnails.image_picker_selector li.group_title {
	float: none;
}

ul.thumbnails.image_picker_selector li {
	margin: 0px 12px 12px 0px;
	float: left;
}

ul.thumbnails.image_picker_selector li .thumbnail {
	padding: 0px;
	border: 1px solid #dddddd;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
}

ul.thumbnails.image_picker_selector li .thumbnail img {
	-webkit-user-drag: none;
}

ul.thumbnails.image_picker_selector li .thumbnail.selected {
	background: #fff;
}

.img-radio {
	display: block;
	width: 100%;
	height: 100px;
	opacity: .3;
	border-top: solid white 1px;
	border-left: solid white 1px;
	border-right: solid white 1px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
	filter: alpha(opacity=30);
}

.img-check {
	display: block;
	width: 100%;
	height: 90px;
	border-top: solid gray 1px;
	border-left: solid gray 1px;
	border-right: solid gray 1px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

.img-check:hover {
	opacity: 1!important;
}

.rfq-img-div {
	max-width: 225px;
}

.btn-radio,
.btn-radio:active,
.btn-radio:hover {
	border-color: white;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	white-space: normal;
	background: #fff;
	margin-bottom: 10px;
	width: 100%;
	color: black;
	font-size: 15px;
}

.btn-check {
	border-color: white;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	white-space: normal;
	background: #fff;
	margin-bottom: 10px;
	width: 100%;
	color: black;
	font-size: 9px;
}

.btn-radio:focus,
.btn-check:focus {
	border-color: white;
	color: black;
	background: #fff;
	outline: none;
}

.thumb {
	margin-bottom: 30px;
}

.bad-input {
	border-color: rgba(255, 0, 0, 0.5);
	background-color: rgba(255, 0, 0, 0.1);
}


/**************************************************************************************
* MOBILE COMPATABILITY FIXES
**************************************************************************************/


/* fix landscape mode height on iOS 7, source: http://stackoverflow.com/questions/19012135/ios-7-ipad-safari-landscape-innerheight-outerheight-layout-issue/19449123#19449123 */

@media (orientation:landscape) {
	html.ipad.ios7 > body {
		position: fixed;
		bottom: 0;
		width: 100%;
		height: 672px !important;
	}
}

@media (max-width: 768px) {
	.rfq-modal {
		max-width: 800px;
		left: 10%;
	}
}

@media (max-width: 650px) {
	#toolbar {
		width: 50px;
	}
	#toolbar ul {
		height: 372px;
		width: 50px;
	}
	#toolbar li {
		display: block;
	}
	.modal-custom {
		height: 80%;
	}
}

@media (max-height: 800px) {
	h3 span {
		margin: 5px;
	}
	h3 {
		margin-top: 5px;
	}
}

@media (min-width: 768px) {
	#optionsModal {
		top: 50px;
		width: 275px;
	}
}

@media (max-height: 450px) {
	.rfq-modal-body {
		max-height: calc(100vh - 165px);
	}
}

#toolbar li {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 5px;
	padding-bottom: 5px;
}


/**************************************************************************************
* TUTORIAL
**************************************************************************************/

.tour-backdrop,
.tour-step-background {
	z-index: 0 !important;
}

.tour-backdrop {
	opacity: .3 !important;
}

.tour-step-background {
	border-radius: 0 !important;
}


/**************************************************************************************
* MODALS
**************************************************************************************/

.optionsModal {
	display: none;
	max-width: 300px;
}

.rfq-modal {
	top: 10px !important;
	height: 100%;
}

.rfq-modal-body {
	max-height: 60vh;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	overflow-y: auto;
}

.modal-confirm {
	right: 15%;
	left: 15%;
}

.modal-custom {
	position: absolute;
	top: 20px;
	width: auto;
	margin: 0;
	overflow-y: auto;
}

.modal-body-custom {
	max-height: calc(100vh - 210px);
	padding: 15px;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	height: 100%;
}

/**************************************************************************************
* DRAG AND DROP
**************************************************************************************/

#dragdrop-msg {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	background-color: #000;
	filter: alpha(opacity=50);
	-moz-opacity: 0.5;
	opacity: 0.7;
	z-index: 50000;
}

#dragdrop-msg span {
	padding: 5px;
	border-radius: 5px;
	color: #fff;
	background-color: transparent;
	position: relative;
	top: 50%;
	pointer-events: none;
	font-size:20px;
}

#dragdrop-msg.hidden {
	visibility: hidden;
}

/**************************************************************************************
* LOADING OVERLAY
**************************************************************************************/
.centered {
	position: absolute;
	margin: auto;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	overflow:hidden;
}

.predesigned-dock-img {
	display: block;
	border: solid white 1px;
	border-radius: 5px;
	margin:0 auto;
}

@media(min-width:992px) {
	.predesigned-dock-img {
		height: 250px;
		width:225px;
	 }
}

@media(min-width:768px) and (max-width:992px) {
	.predesigned-dock-img {
		height:300px;
		width:275px;
	}
}

@media(max-width:768px) {
	.predesigned-dock-img {
		height:225px;
		width:200px;
	}
}

/**************************************************************************************
* SHOW VERSION RUNNING PRICE
**************************************************************************************/
.show-version-detailed-price-container {
	display: none;
	position: fixed;
	right: 10px;
	bottom: 20px;
	height: 50%;
	width: 20%;
	opacity: 0.8;
	min-width: 200px;
}

.show-version-detailed-price-container .head {
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	background-color: #E01B1D;
	color: #fff;
	padding: 10px;
}

.show-version-detailed-price-container .details {
	background-color: #fff;
	height: 70%;
	-webkit-box-flex: 2;
	-moz-box-flex: 2;
	-webkit-flex: 2 1 auto;
	-ms-flex: 2 1 auto;
	flex: 2 1 auto;
	clear: both;
	position: relative;
	overflow: auto;
}

.show-version-detailed-price-container .details > ul > ul{
	font-size: 1.5rem;
	padding-left: 5px;
	/*border-left: 1px solid #999;*/
}

.show-version-detailed-price-container .details > ul > ul > li {
	color: #000;
	font-size: 1rem;
	padding-left: 5px;
	padding-right: 5px;
	border-left: 1px solid #999;
}

.show-version-detailed-price-container .details > ul > ul > li:hover {
	border-left: 2px solid #E01B1D;
	border-bottom: 1px solid #999;
	font-weight: bold;
}

.show-version-detailed-price-container .total {
	background-color: #999;
	color: #fff;
	height: 10%;
	padding-left: 5px;
	padding-right:5px;
	margin-bottom:10px;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	position: relative;
}

.show-version-detailed-price-container .footer button {
	background-color: #E01B1D;
	color: #fff;
}

.show-version-total-price-container {
	display: none;
	position: fixed;
	right: 10px;
	bottom: 10px;
	height: 5%;
	width: 20%;
	background-color: #E01B1D;
	opacity: 0.8;
	color: #fff;
	border-radius: 10px;
	padding: 10px;
	min-width: 200px;
}

/**************************************************************************************
* SHOW VERSION RUNNING PRICE
**************************************************************************************/
.rfq-form-wizard-step p {
    margin-top: 0px;
    color:#666;
}
.rfq-form-wizard-row {
    display: table-row;
}
.rfq-form-wizard {
    display: table;
    width: 100%;
    position: relative;
}
.rfq-form-wizard-step button[disabled] {
    /*opacity: 1 !important;
    filter: alpha(opacity=100) !important;*/
}
.rfq-form-wizard .btn.disabled, .stepwizard .btn[disabled], .rfq-form-wizard fieldset[disabled] .btn {
    opacity:1 !important;
    color:#bbb;
}
.rfq-form-wizard-row:before {
    top: 14px;
    bottom: 0;
    position: absolute;
    content:" ";
    width: 100%;
    height: 1px;
    background-color: #ccc;
    z-index: 0;
}
.rfq-form-wizard-step {
    display: table-cell;
    text-align: center;
    position: relative;
}
.btn-circle {
    width: 30px;
    height: 30px;
    text-align: center;
    padding: 6px 0;
    font-size: 12px;
    line-height: 1.428571429;
    border-radius: 15px;
}